<article id="top">
	<header>
		<h2>Welcome to kirbyMVC</h2>
	</header>
	<p>As mentioned above, this is the default view. You do not understand that? Nevermind, I am going to explain it to you. There are controllers with actions, related models and views. And then there is the core, that does all of the magic in order to combine the previous mentioned stuff. People call that kind of concept "MVC" - the Model-View-Controller concept. But just relax, here is the manual:</p>
	<ol>
		<li><a href="#introduction">Introduction</a>
			<ol>
				<li><a href="#the-mvc-concept">The MVC concept</a></li>
				<li><a href="#what-is-kirby">What is kirby</a></li>
				<li><a href="#how-kirbymvc-works">How kirbyMVC works</a></li>
			</ol>
		</li>
		<li><a href="#developing-with-kirbymvc">Developing with kirbyMVC</a>
			<ol>
				<li><a href="#naming-conventions">Naming conventions</a></li>
				<li><a href="#configuration">Configuration</a></li>
				<li><a href="#globals">Globals</a></li>
				<li><a href="#models">Models</a><li>
				<li><a href="#controllers">Controllers</a></li>
				<li><a href="#views">Views</a></li>
				<li><a href="#templates">Templates</a></li>
				<li><a href="#api">API</a></li>
			</ol>
		</li>
		<li><a href="#contributing">Contributing</a></li>
	</ol>
</article>

<article id="introduction">
	<header>
		<h1>Introduction</h1>
	</header>
	<p>kirbyMVC is an absolutely lightweight MVC - well, what is it? Is it a framework? Actually not really. But it also is not just a toolkit. It's something in between. kirbyMVC does some magic and coordinates the desired models, views and controllers in some way. You see, it is pretty hard to classify. But who cares anyway? I do not. I think it is a nice foundation when it comes to creating more or less dynamic websites that depend on some kind of datasource. It does all the coordination for you, and you can just lean back and stick to the real functionality of your web application. But before you can start, some introduction is neccessary. If you aren't familiar with the MVC concept, you shouldn't skip the next article.</p>
</article>

<article id="the-mvc-concept">
	<header>
		<h2>The MVC concept</h2>
	</header>
	<p>There are plenty of explanations for the MVC design pattern on the web, and I amlazy enough not to write another one by myself. So I just collected some links to, in my point of view, good explanations. Hopefully, you get the point:</p>
	<ul>
		<li><a href="http://en.wikipedia.org/wiki/Model–view–controller" target="_blank">Model-View-Controller</a> on Wikipedia (who would have thought that, lol)</li>
		<li><a href="http://jordanhall.co.uk/programming/simple-explanation-of-model-view-controller-mvc-2206990/" target="_blank">Simple Explanation of Model View Controller (MVC)</a> by Jordan Hall</li>
	</ul>
</article>

<article id="what-is-kirby">
	<header>
		<h2>What is kirby</h2>
	</header>
	<p>According to kirby's author Bastian Allgeier it is "a stripped down and easy to use toolkit for PHP. It's by no means a full featured mvc/wtf framework, it's more like jQuery or Mootools for PHP. Kirby is there to make nerdy things a little less nerdy." There is nothing more to say about it. I highly recommend working with kirby when it comes to small, not that complex projects you want to build on your own. You can get more information at <a href="http://getkirby.com" target="_blank">http://getkirby.com</a>. Since you probably start working with kirbyMVC, you should really take a closer look at kirby before starting your work.</p>
</article>
	
	<p>There is also a default controller and a default model. You can find them at /data/models/default_model.php and /data/controllers/default_controller.php! You better do not delete them, otherwise hell freezes over! Both files are fired when accessing the index page of your website.</p>
	<p>By convention, controller-files are called yourname_controller.php and are located under /data/controllers. Model-files are called yourname_model.php and are located under /data/models.</p>
	<footer></footer>
</article>