<?php
/*
 * model.php
 * 
 * provides basic model functions and variables
 */
 
 	Class Model {
 	
 		public $data = array();
		public $id = null;
		public $table = '';
		
		function __construct() {
			$this->table = str::substr(str::lower(get_class($this)), 0, -5);;
			
		}
 		
 		protected function find($type, $options = array()) {
 			/*
				$options = array(
					fields => array(),
					conditions => array(),
					order => '',
					limit => null
				);
			*/
			
			$fields = '*';
			$conditions = '';
			$order = '';
			$limit = null;
			
			if (!empty($options)) {
				if (isset($options['fields']) && !empty($options['fields']) ) {
					$fields = $options['fields'];
				}
				if (isset($options['conditions']) && !empty($options['conditions']) ) {
					$conditions = $options['conditions'];
				}
			}
			
			if ($type == 'first') {
				$limit = 1;
			} elseif ($type == 'all') {
				$limit = null;
			} else {
				return false;
			}
			
			$result = db::select($this->table, $fields, $conditions, $order, null, $limit);
			
			return $result;

 		}

		protected function save($data) {
 			if (isset($data['id'])) {
				$id = $data['id'];
				unset($data['id']);
				return db::update($this->table, $data, array('id' => $id));
			} else {
				return db::insert($this->table, $data);
			}

 		}

		protected function delete($id) {
 			db::delete($this->table, array('id' => $id));

 		}
 	
 	};
 	
?>