<?php

/*
 * This is the kirbyMVC core
 * The core provides all the magic behind kirbyMVC
 */

//Include, most important, kirby!
require_once('kirby.php');

//Include the configuration file!
require_once('config.php');

//Include the template plugin!
require_once('plugins/template.php');

//functions
function asthetic($dir) {
	$dir = str_replace('\\','/',$dir);
	$dir = preg_replace ( '~/+~', '/' , $dir);
	if (str::substr($dir, -1) != '/') {
		$dir = $dir . '/';
	}
	return $dir;
}

//Fetch the desired directory that has been supplied as GET/POST value, replace backslashes and validate the URL
$dir = asthetic(r::get('dir'));
$dir_parts = preg_split('(/)', $dir, null, PREG_SPLIT_NO_EMPTY);
$extension = '';
if (r::is_ajax()) {
	$extension = '.json';
}

//Set some variables that might be neccessary later
$root = c::get('repository'); //Root Directory of the files & folders you want to display
$path = c::get('path'); //Path to the application on your server
$breadcrumbs = array(array('/', $path . 'ajax.php'));

/* LOGIC PART */
if ( !empty($dir) ) {
	//If the directory has been provided and is accessible
	
	$files = dir::read($root . $dir);
	if ($files) {
		$current_dir = $dir;
	
		$new_files = array();
		foreach ($files as $file) {
			if (f::read($root . $current_dir . $file)) {
				array_push($new_files, array('name' => $file, 'path' => $path . $root . $current_dir . $file, 'size' => f::size($root . $current_dir . $file) . ' bytes', 'type' => 'file'));
			} else {
				array_push($new_files, array('name' => $file, 'path' => $path . $current_dir . $file . $extension, 'size' => '-', 'type' => 'dir'));
			}
		
		}
		
		$level = 0;
		foreach ($dir_parts as $part) {
			if ($part != '..' && $part != '.') {
				$value = $path . '/';
				for ($i=0; $i<= $level; $i++) {
					if ($i == $level) {
						$value .= $dir_parts[$i] . $extension;
					} else {
						$value .= $dir_parts[$i] . '/';
					}
				}
				array_push($breadcrumbs, array($part, $value));
				$level++;
				
			}
			
		}
	
		tpl::set('current_dir', '/' . $current_dir);
		tpl::set('files', $new_files);
		tpl::set('back', '<div class="back_button"><a href="javascript:history.back();">Back</a></div>');
	
	} else {
		//Directory does not exist
		tpl::set('notification', '<div class="notification">Error, directory does not exist or is empty!</div>');
		tpl::set('files', array());
		tpl::set('current_dir', '-');
		tpl::set('back', '');
		
	}
		
} else {
	//Otherwise the index view has to be displayed
	$dir = c::get('repository');
	$files = dir::read($dir);
	$current_dir = '/';
	
	$new_files = array();
	foreach ($files as $file) {
		if (f::read($root . $current_dir . $file)) {
			array_push($new_files, array('name' => $file, 'path' => $path . $root . $file, 'size' => f::size($root . $current_dir . $file), 'type' => 'file'));
		} else {
			array_push($new_files, array('name' => $file, 'path' => $path . $file . $extension , 'size' => '-', 'type' => 'dir'));
		}
		
	}
	
	tpl::set('current_dir', $current_dir);
	tpl::set('files', $new_files);
	tpl::set('back', '');

}

//Create additional template variables
tpl::set('path', c::get('path'));
tpl::set('title', c::get('title'));
tpl::set('description', c::get('description'));
tpl::set('root', $root);
tpl::set('breadcrumbs', $breadcrumbs);

?>